Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161154 - SIGBUS in sendmail
Summary: SIGBUS in sendmail
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: sendmail
Version: 3
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-20 20:51 UTC by Dan Hollis
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-14 13:26:22 UTC


Attachments (Terms of Use)

Description Dan Hollis 2005-06-20 20:51:21 UTC
Description of problem:
sendmail seems to randomly get SIGBUS.

Version-Release number of selected component (if applicable):
sendmail-8.13.1-2

How reproducible:
Randomly, but frequent

Steps to Reproduce:
1.run sendmail
2....
3.profit!
  
Actual results:
sendmail[15782] trap stack segment rip:b66187a16e1 rsp:7761cadd2140 error:0
grsec: From 64.28.62.254: signal 7 sent to
/usr/sbin/sendmail.sendmail[sendmail:15782] uid/euid:0/0 gid/egid:0/51, parent
/usr/sbin/sendmail.sendmail[sendmail:12565] uid/euid:0/0 gid/egid:0/51
sendmail[3383] trap stack segment rip:b66187a16e1 rsp:7761cadd2140 error:0
grsec: From 201.29.12.157: signal 7 sent to
/usr/sbin/sendmail.sendmail[sendmail:3383] uid/euid:0/0 gid/egid:0/51, parent
/usr/sbin/sendmail.sendmail[sendmail:12565] uid/euid:0/0 gid/egid:0/51
sendmail[5010] trap stack segment rip:b66187a16e1 rsp:7761cadd2140 error:0
grsec: From 203.213.54.203: signal 7 sent to
/usr/sbin/sendmail.sendmail[sendmail:5010] uid/euid:0/0 gid/egid:0/51, parent
/usr/sbin/sendmail.sendmail[sendmail:12565] uid/euid:0/0 gid/egid:0/51
sendmail[19909] trap stack segment rip:b66187a16e1 rsp:7761cadd2140 error:0
grsec: From 222.93.142.219: signal 7 sent to
/usr/sbin/sendmail.sendmail[sendmail:19909] uid/euid:0/0 gid/egid:0/51, parent
/usr/sbin/sendmail.sendmail[sendmail:12565] uid/euid:0/0 gid/egid:0/51
sendmail[9673] trap stack segment rip:b66187a16e1 rsp:7761cadd2140 error:0
grsec: From 72.29.5.166: signal 7 sent to
/usr/sbin/sendmail.sendmail[sendmail:9673] uid/euid:0/0 gid/egid:0/51, parent
/usr/sbin/sendmail.sendmail[sendmail:12565] uid/euid:0/0 gid/egid:0/51
sendmail[17813] trap stack segment rip:b66187a16e1 rsp:7761cadd2140 error:0
grsec: From 24.227.88.74: signal 7 sent to
/usr/sbin/sendmail.sendmail[sendmail:17813] uid/euid:0/0 gid/egid:0/51, parent
/usr/sbin/sendmail.sendmail[sendmail:12565] uid/euid:0/0 gid/egid:0/51
sendmail[20153] trap stack segment rip:b66187a16e1 rsp:7761cadd2140 error:0
grsec: From 64.28.54.187: signal 7 sent to
/usr/sbin/sendmail.sendmail[sendmail:20153] uid/euid:0/0 gid/egid:0/51, parent
/usr/sbin/sendmail.sendmail[sendmail:12565] uid/euid:0/0 gid/egid:0/51
sendmail[8809] trap stack segment rip:b66187a16e1 rsp:7761cadd2140 error:0
grsec: From 64.28.63.164: signal 7 sent to
/usr/sbin/sendmail.sendmail[sendmail:8809] uid/euid:0/0 gid/egid:0/51, parent
/usr/sbin/sendmail.sendmail[sendmail:12565] uid/euid:0/0 gid/egid:0/51

Expected results:
It shouldn't SIGBUS :/

Additional info:
Seems to occur randomly, but always the same rip, rsp and error.

Comment 1 Matthew Miller 2006-07-10 23:28:19 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 Thomas Woerner 2006-07-14 13:26:22 UTC
Do you have some special configuration? Do you have memory problems? 

Please verify this with a newer version of Red Hat Enterprise Linux or
Fedora Core and reopen it against the new version if there is still a 
problem.

Closine as "not a bug" for now.



Note You need to log in before you can comment on or make changes to this bug.